org.mozilla.javascript.debug

## Interface Debugger

-     public interface Debugger

  Interface to implement if the application is interested in receiving debug information.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DebugFrame` | `getFrame(Context cx, DebuggableScript fnOrScript)` Called when execution entered a particular function or script.
    `void` | `handleCompilationDone(Context cx, DebuggableScript fnOrScript, java.lang.String source)` Called when compilation of a particular function or script into internal bytecode is done.

- - ### Method Detail

    - #### handleCompilationDone

          void handleCompilationDone(Context cx,
                                   DebuggableScript fnOrScript,
                                   java.lang.String source)

      Called when compilation of a particular function or script into internal bytecode is done.
      Parameters:
        `cx` - current Context for this thread
        `fnOrScript` - object describing the function or script
        `source` - the function or script source

    - #### getFrame

          DebugFrame getFrame(Context cx,
                            DebuggableScript fnOrScript)

      Called when execution entered a particular function or script.
      Returns:
        implementation of DebugFrame which receives debug information during the function or script execution or null otherwise